---------------------
PatchSet 6586 
Date: 2008/01/20 17:33:07
Author: serassio
Branch: nt
Tag: (none) 
Log:
Updated autoconf.h file for Visual Studio Project

Members: 
	port/win32/include/autoconf.h:1.2.18.19->1.2.18.20 

Index: squid3/port/win32/include/autoconf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/port/win32/include/Attic/autoconf.h,v
retrieving revision 1.2.18.19
retrieving revision 1.2.18.20
diff -u -r1.2.18.19 -r1.2.18.20
--- squid3/port/win32/include/autoconf.h	18 Nov 2007 19:04:35 -0000	1.2.18.19
+++ squid3/port/win32/include/autoconf.h	20 Jan 2008 17:33:07 -0000	1.2.18.20
@@ -21,7 +21,7 @@
 #define CONFIG_HOST_TYPE "i686-pc-winnt"
 
 /* Define if you want to set the COSS membuf size */
-#define COSS_MEMBUF_SZ 655360
+/* #undef COSS_MEMBUF_SZ */
 
 /* Define to one of `_getb67', `GETB67', `getb67' for Cray-2 and Cray-YMP
    systems. This function is required for `alloca.c' support on those systems.
@@ -40,6 +40,9 @@
 /* Define if you have problems with memPools and want to disable Pools. */
 #define DISABLE_POOLS 0
 
+/* 0 == Disable expermental CNAME recursion inside Squid DNS resolver stub */
+#define DNS_CNAME 0
+
 /* Enable Forw/Via database */
 #define FORW_VIA_DB 1
 
@@ -144,9 +147,15 @@
 /* Define to 1 if you have the <fnmatch.h> header file. */
 /* #undef HAVE_FNMATCH_H */
 
+/* Define to 1 if you have the `getaddrinfo' function. */
+/* #undef HAVE_GETADDRINFO */
+
 /* Define to 1 if you have the `getdtablesize' function. */
 /* #undef HAVE_GETDTABLESIZE */
 
+/* Define to 1 if you have the `getnameinfo' function. */
+/* #undef HAVE_GETNAMEINFO */
+
 /* Define to 1 if you have the <getopt.h> header file. */
 #define HAVE_GETOPT_H 1
 
@@ -183,6 +192,12 @@
 /* Define to 1 if you have the `htole16' function. */
 /* #undef HAVE_HTOLE16 */
 
+/* Define to 1 if you have the `inet_ntop' function. */
+/* #undef HAVE_INET_NTOP */
+
+/* Define to 1 if you have the `inet_pton' function. */
+/* #undef HAVE_INET_PTON */
+
 /* Define to 1 if you have the `initgroups' function. */
 /* #undef HAVE_INITGROUPS */
 
@@ -222,9 +237,6 @@
 /* Define to 1 if you have the `kqueue' function. */
 /* #undef HAVE_KQUEUE */
 
-/* Define to 1 if you have the `44bsd' library (-l44bsd). */
-/* #undef HAVE_LIB44BSD */
-
 /* Define to 1 if you have the `aio' library (-laio). */
 /* #undef HAVE_LIBAIO */
 
@@ -340,12 +352,21 @@
 /* Define to 1 if you have the <netdb.h> header file. */
 /* #undef HAVE_NETDB_H */
 
+/* Define to 1 if you have the <netinet/icmp6.h> header file. */
+/* #undef HAVE_NETINET_ICMP6_H */
+
 /* Define to 1 if you have the <netinet/if_ether.h> header file. */
 /* #undef HAVE_NETINET_IF_ETHER_H */
 
 /* Define to 1 if you have the <netinet/in.h> header file. */
 /* #undef HAVE_NETINET_IN_H */
 
+/* Define to 1 if you have the <netinet/in_systm.h> header file. */
+/* #undef HAVE_NETINET_IN_SYSTM_H */
+
+/* Define to 1 if you have the <netinet/ip6.h> header file. */
+/* #undef HAVE_NETINET_IP6_H */
+
 /* Define to 1 if you have the <netinet/ipl.h> header file. */
 /* #undef HAVE_NETINET_IPL_H */
 
@@ -358,6 +379,12 @@
 /* Define to 1 if you have the <netinet/ip_fil.h> header file. */
 /* #undef HAVE_NETINET_IP_FIL_H */
 
+/* Define to 1 if you have the <netinet/ip.h> header file. */
+/* #undef HAVE_NETINET_IP_H */
+
+/* Define to 1 if you have the <netinet/ip_icmp.h> header file. */
+/* #undef HAVE_NETINET_IP_ICMP_H */
+
 /* Define to 1 if you have the <netinet/ip_nat.h> header file. */
 /* #undef HAVE_NETINET_IP_NAT_H */
 
@@ -448,12 +475,6 @@
 /* Define to 1 if you have the `res_init' function. */
 /* #undef HAVE_RES_INIT */
 
-/* If _res structure has nsaddr_list member */
-/* #undef HAVE_RES_NSADDR_LIST */
-
-/* If _res structure has ns_list member */
-/* #undef HAVE_RES_NS_LIST */
-
 /* Define to 1 if you have the `rint' function. */
 /* #undef HAVE_RINT */
 
@@ -560,6 +581,9 @@
 /* Define to 1 if you have the `strsep' function. */
 /* #undef HAVE_STRSEP */
 
+/* Define to 1 if you have the `strtok_r' function. */
+/* #undef HAVE_STRTOK_R */
+
 /* Define to 1 if you have the `strtoll' function. */
 /* #undef HAVE_STRTOLL */
 
@@ -746,6 +770,15 @@
    redirection. This provides "masquerading" support for non Linux system. */
 /* #undef IPF_TRANSPARENT */
 
+/* 0 == Keep IPv4 and IPv6 Localhosts seperate. */
+#define IPV6_SPECIAL_LOCALHOST 0
+
+/* 0 == Disable support for split-stack IPv6 implementations */
+#define IPV6_SPECIAL_SPLITSTACK 0
+
+/* 0 == Leave all v4-mapping to the OS */
+#define IPV6_SPECIAL_V4MAPPING 0
+
 /* A dangerous feature which causes Squid to kill its parent process
    (presumably the RunCache script) upon receipt of SIGTERM or SIGINT. Use
    with caution. */
@@ -841,9 +874,6 @@
 /* The size of `__int64', as computed by sizeof. */
 #define SIZEOF___INT64 8
 
-/* configure command line used to configure Squid */
-#define SQUID_CONFIGURE_OPTIONS "'--disable-wccp' '--enable-htcp' '--enable-cpu-profiling' '--enable-default-hostsfile=none' '--enable-removal-policies=heap lru' '--enable-auth=basic ntlm digest' '--enable-basic-auth-helpers=win32_locallogon' '--enable-err-languages=English' '--enable-default-err-language=English' '--enable-storeio=ufs awin32 null' '--enable-referer-log' '--enable-useragent-log' '--enable-external-acl-helpers=win32_group' '--enable-ntlm-auth-helpers=NTLMSSP-WIN32' '--enable-win32-service' '--enable-snmp' '--prefix=c:/squid'"
-
 /* UDP receive buffer size */
 #define SQUID_DETECT_UDP_SO_RCVBUF 16384
 
@@ -900,17 +930,16 @@
 /* Define this to include code for the Hypertext Cache Protocol (HTCP) */
 #define USE_HTCP 1
 
-/* If you want to use Squid's ICMP features (highly recommended!) then define
-   this. When USE_ICMP is defined, Squid will send ICMP pings to origin server
-   sites. This information is used in numerous ways: - Sent in ICP replies so
-   neighbor caches know how close you are to the source. - For finding the
-   closest instance of a URN. - With the 'test_reachability' option. Squid
-   will return ICP_OP_MISS_NOFETCH for sites which it cannot ping. */
-/* #undef USE_ICMP */
+/* Defined this to use Squid's ICMP features (highly recommended!) When
+   USE_ICMP is defined, Squid will send ICMP pings to origin server sites. */
+#define USE_ICMP 1
 
 /* Compile in support for Ident (RFC 931) lookups? Enabled by default. */
 #define USE_IDENT 1
 
+/* Disable support for IPv6 */
+#define USE_IPV6 0
+
 /* Use kqueue() for the IO loop */
 /* #undef USE_KQUEUE */
 
@@ -977,8 +1006,72 @@
 /* Keyword used by squid for inlining methods */
 #define _SQUID_INLINE_ inline
 
+/* Nameserver Counter for IPv6 _res */
+/* #undef _SQUID_RES_NSADDR6_COUNT */
+
+/* If _res_ext structure has nsaddr_list member */
+/* #undef _SQUID_RES_NSADDR6_LARRAY */
+
+/* If _res structure has _ext.nsaddrs member */
+/* #undef _SQUID_RES_NSADDR6_LPTR */
+
+/* Nameserver counter for IPv4 _res */
+/* #undef _SQUID_RES_NSADDR_COUNT */
+
+/* If _res structure has ns_list member */
+/* #undef _SQUID_RES_NSADDR_LIST */
+
 /* Include inline methods into header file */
 #define _USE_INLINE_ 
 
 /* Define to empty if `const' does not conform to ANSI C. */
 /* #undef const */
+
+#if (USE_SQUID_ESI == 1)
+#define STR_SQUID_ESI "--enable-esi "
+#else
+#define STR_SQUID_ESI ""
+#endif
+#if DELAY_POOLS
+#define STR_DELAY_POOLS "--enable-delay-pools "
+#else
+#define STR_DELAY_POOLS ""
+#endif
+#if USE_ICMP
+#define STR_USE_ICMP "--enable-icmp "
+#else
+#define STR_USE_ICMP ""
+#endif
+#if USE_DNSSERVERS
+#define STR_USE_DNSSERVERS "--disable-internal-dns "
+#else
+#define STR_USE_DNSSERVERS ""
+#endif
+#if USE_SSL
+#define STR_USE_SSL "--enable-ssl "
+#else
+#define STR_USE_SSL ""
+#endif
+#if USE_ARP_ACL
+#define STR_USE_ARP_ACL "--enable-arp-acl "
+#else
+#define STR_USE_ARP_ACL ""
+#endif
+#if USE_XPROF_STATS
+#define STR_USE_XPROF_STATS "--enable-cpu-profiling "
+#else
+#define STR_USE_XPROF_STATS ""
+#endif
+
+#define SQUID_CONFIGURE_OPTIONS "--enable-win32-service --enable-storeio='ufs aufs coss' --enable-disk-io='Blocking AIO DiskThreads' " \
+    "--enable-removal-policies='heap lru' --enable-snmp --enable-htcp --disable-wccp --disable-wccpv2 --enable-useragent-log " \
+    "--enable-referer-log --enable-cache-digests --enable-icap-client --enable-forw-via-db " \
+    "--with-large-files --enable-default-hostsfile=none --enable-auth=basic ntlm digest negotiate " \
+    STR_DELAY_POOLS \
+    STR_USE_ICMP \
+    STR_USE_DNSSERVERS \
+    STR_USE_SSL \
+    STR_SQUID_ESI \
+    STR_USE_ARP_ACL \
+    STR_USE_XPROF_STATS \
+    "--prefix=c:/squid"
